<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CellUtil (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CellUtil (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellUtil.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/CellReference.NameType.html"
               title="enum in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/DateFormatConverter.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/CellUtil.html" target="_top">Frames</a></li>
        <li><a href="CellUtil.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.util</div>
    <h2 title="Class CellUtil" class="title">Class CellUtil</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.util.CellUtil</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">CellUtil</span>
extends java.lang.Object</pre>
                <div class="block">Various utility functions that make working with a cells and rows easier. The various
                    methods
                    that deal with style's allow you to create your CellStyles as you need them. When you apply a
                    style change to a cell, the code will attempt to see if a style already exists that meets your
                    needs. If not, then it will create a new style. This is to prevent creating too many styles.
                    there is an upper limit in Excel on the number of styles that can be supported.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Eric Pugh epugh@upstate.com, (secondary) Avinash Kewalramani akewalramani@accelrys.com</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#ALIGNMENT">ALIGNMENT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#BORDER_BOTTOM">BORDER_BOTTOM</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#BORDER_LEFT">BORDER_LEFT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#BORDER_RIGHT">BORDER_RIGHT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#BORDER_TOP">BORDER_TOP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#BOTTOM_BORDER_COLOR">BOTTOM_BORDER_COLOR</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#DATA_FORMAT">DATA_FORMAT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#FILL_BACKGROUND_COLOR">FILL_BACKGROUND_COLOR</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#FILL_FOREGROUND_COLOR">FILL_FOREGROUND_COLOR</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#FILL_PATTERN">FILL_PATTERN</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#FONT">FONT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#HIDDEN">HIDDEN</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#INDENTION">INDENTION</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#LEFT_BORDER_COLOR">LEFT_BORDER_COLOR</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#LOCKED">LOCKED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#RIGHT_BORDER_COLOR">RIGHT_BORDER_COLOR</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#ROTATION">ROTATION</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#TOP_BORDER_COLOR">TOP_BORDER_COLOR</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#VERTICAL_ALIGNMENT">VERTICAL_ALIGNMENT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#WRAP_TEXT">WRAP_TEXT</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#createCell-org.apache.poi.ss.usermodel.Row-int-java.lang.String-">createCell</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                        title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row,
                                    int&nbsp;column,
                                    java.lang.String&nbsp;value)</code>
                                    <div class="block">Create a cell, and give it a value.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#createCell-org.apache.poi.ss.usermodel.Row-int-java.lang.String-org.apache.poi.ss.usermodel.CellStyle-">createCell</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                        title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row,
                                    int&nbsp;column,
                                    java.lang.String&nbsp;value,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                       title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                    <div class="block">Creates a cell, gives it a value, and applies a style if
                                        provided
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#getCell-org.apache.poi.ss.usermodel.Row-int-">getCell</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                        title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row,
                                    int&nbsp;columnIndex)</code>
                                    <div class="block">Get a specific cell from a row.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                        title="interface in org.apache.poi.ss.usermodel">Row</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#getRow-int-org.apache.poi.ss.usermodel.Sheet-">getRow</a></span>(int&nbsp;rowIndex,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                       title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</code>
                                    <div class="block">Get a row from the spreadsheet, and create it if it doesn't
                                        exist.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#setAlignment-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.HorizontalAlignment-">setAlignment</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/HorizontalAlignment.html"
                                       title="enum in org.apache.poi.ss.usermodel">HorizontalAlignment</a>&nbsp;align)</code>
                                    <div class="block">Take a cell, and align it.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#setCellStyleProperties-org.apache.poi.ss.usermodel.Cell-java.util.Map-">setCellStyleProperties</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                    java.util.Map&lt;java.lang.String,java.lang.Object&gt;&nbsp;properties)</code>
                                    <div class="block">This method attempts to find an existing CellStyle that matches
                                        the <code>cell</code>'s
                                        current style plus styles properties in <code>properties</code>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#setCellStyleProperty-org.apache.poi.ss.usermodel.Cell-java.lang.String-java.lang.Object-">setCellStyleProperty</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                    java.lang.String&nbsp;propertyName,
                                    java.lang.Object&nbsp;propertyValue)</code>
                                    <div class="block">This method attempts to find an existing CellStyle that matches
                                        the <code>cell</code>'s
                                        current style plus a single style property <code>propertyName</code> with value
                                        <code>propertyValue</code>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#setFont-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.Font-">setFont</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                       title="interface in org.apache.poi.ss.usermodel">Font</a>&nbsp;font)</code>
                                    <div class="block">Take a cell, and apply a font to it</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#setVerticalAlignment-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.VerticalAlignment-">setVerticalAlignment</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/VerticalAlignment.html"
                                       title="enum in org.apache.poi.ss.usermodel">VerticalAlignment</a>&nbsp;align)</code>
                                    <div class="block">Take a cell, and vertically align it.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellUtil.html#translateUnicodeValues-org.apache.poi.ss.usermodel.Cell-">translateUnicodeValues</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">Looks for text in the cell that should be unicode, like &alpha;
                                        and provides the
                                        unicode version of it.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="ALIGNMENT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ALIGNMENT</h4>
                                <pre>public static final&nbsp;java.lang.String ALIGNMENT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.ALIGNMENT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BORDER_BOTTOM">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BORDER_BOTTOM</h4>
                                <pre>public static final&nbsp;java.lang.String BORDER_BOTTOM</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.BORDER_BOTTOM">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BORDER_LEFT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BORDER_LEFT</h4>
                                <pre>public static final&nbsp;java.lang.String BORDER_LEFT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.BORDER_LEFT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BORDER_RIGHT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BORDER_RIGHT</h4>
                                <pre>public static final&nbsp;java.lang.String BORDER_RIGHT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.BORDER_RIGHT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BORDER_TOP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BORDER_TOP</h4>
                                <pre>public static final&nbsp;java.lang.String BORDER_TOP</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.BORDER_TOP">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BOTTOM_BORDER_COLOR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BOTTOM_BORDER_COLOR</h4>
                                <pre>public static final&nbsp;java.lang.String BOTTOM_BORDER_COLOR</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.BOTTOM_BORDER_COLOR">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LEFT_BORDER_COLOR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LEFT_BORDER_COLOR</h4>
                                <pre>public static final&nbsp;java.lang.String LEFT_BORDER_COLOR</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.LEFT_BORDER_COLOR">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="RIGHT_BORDER_COLOR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RIGHT_BORDER_COLOR</h4>
                                <pre>public static final&nbsp;java.lang.String RIGHT_BORDER_COLOR</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.RIGHT_BORDER_COLOR">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="TOP_BORDER_COLOR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TOP_BORDER_COLOR</h4>
                                <pre>public static final&nbsp;java.lang.String TOP_BORDER_COLOR</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.TOP_BORDER_COLOR">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="DATA_FORMAT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DATA_FORMAT</h4>
                                <pre>public static final&nbsp;java.lang.String DATA_FORMAT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.DATA_FORMAT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="FILL_BACKGROUND_COLOR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FILL_BACKGROUND_COLOR</h4>
                                <pre>public static final&nbsp;java.lang.String FILL_BACKGROUND_COLOR</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.FILL_BACKGROUND_COLOR">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="FILL_FOREGROUND_COLOR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FILL_FOREGROUND_COLOR</h4>
                                <pre>public static final&nbsp;java.lang.String FILL_FOREGROUND_COLOR</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.FILL_FOREGROUND_COLOR">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="FILL_PATTERN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FILL_PATTERN</h4>
                                <pre>public static final&nbsp;java.lang.String FILL_PATTERN</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.FILL_PATTERN">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="FONT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FONT</h4>
                                <pre>public static final&nbsp;java.lang.String FONT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.FONT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HIDDEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HIDDEN</h4>
                                <pre>public static final&nbsp;java.lang.String HIDDEN</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.HIDDEN">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="INDENTION">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>INDENTION</h4>
                                <pre>public static final&nbsp;java.lang.String INDENTION</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.INDENTION">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LOCKED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LOCKED</h4>
                                <pre>public static final&nbsp;java.lang.String LOCKED</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.LOCKED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ROTATION">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ROTATION</h4>
                                <pre>public static final&nbsp;java.lang.String ROTATION</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.ROTATION">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VERTICAL_ALIGNMENT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VERTICAL_ALIGNMENT</h4>
                                <pre>public static final&nbsp;java.lang.String VERTICAL_ALIGNMENT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.VERTICAL_ALIGNMENT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="WRAP_TEXT">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>WRAP_TEXT</h4>
                                <pre>public static final&nbsp;java.lang.String WRAP_TEXT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellUtil.WRAP_TEXT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getRow-int-org.apache.poi.ss.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                           title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;getRow(int&nbsp;rowIndex,
                         <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                            title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</pre>
                                <div class="block">Get a row from the spreadsheet, and create it if it doesn't exist.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rowIndex</code> - The 0 based row number</dd>
                                    <dd><code>sheet</code> - The sheet that the row is part of.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The row indicated by the rowCounter</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCell-org.apache.poi.ss.usermodel.Row-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                           title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;getCell(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                        title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row,
                           int&nbsp;columnIndex)</pre>
                                <div class="block">Get a specific cell from a row. If the cell doesn't exist, then
                                    create it.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - The row that the cell is part of</dd>
                                    <dd><code>columnIndex</code> - The column index that the cell is in.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The cell indicated by the column.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createCell-org.apache.poi.ss.usermodel.Row-int-java.lang.String-org.apache.poi.ss.usermodel.CellStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCell</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                           title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;createCell(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                        title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row,
                              int&nbsp;column,
                              java.lang.String&nbsp;value,
                              <a href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                 title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</pre>
                                <div class="block">Creates a cell, gives it a value, and applies a style if provided
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the row to create the cell in</dd>
                                    <dd><code>column</code> - the column index to create the cell in</dd>
                                    <dd><code>value</code> - The value of the cell</dd>
                                    <dd><code>style</code> - If the style is not null, then set</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A new Cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createCell-org.apache.poi.ss.usermodel.Row-int-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCell</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                           title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;createCell(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                        title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row,
                              int&nbsp;column,
                              java.lang.String&nbsp;value)</pre>
                                <div class="block">Create a cell, and give it a value.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the row to create the cell in</dd>
                                    <dd><code>column</code> - the column index to create the cell in</dd>
                                    <dd><code>value</code> - The value of the cell</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A new Cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAlignment-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.HorizontalAlignment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAlignment</h4>
                                <pre>public static&nbsp;void&nbsp;setAlignment(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                <a href="../../../../../org/apache/poi/ss/usermodel/HorizontalAlignment.html"
                                   title="enum in org.apache.poi.ss.usermodel">HorizontalAlignment</a>&nbsp;align)</pre>
                                <div class="block">Take a cell, and align it.

                                    This is superior to cell.getCellStyle().setAlignment(align) because
                                    this method will not modify the CellStyle object that may be referenced
                                    by multiple cells. Instead, this method will search for existing CellStyles
                                    that match the desired CellStyle, creating a new CellStyle with the desired
                                    style if no match exists.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - the cell to set the alignment for</dd>
                                    <dd><code>align</code> - the horizontal alignment to use.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15 beta 3</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/HorizontalAlignment.html"
                                           title="enum in org.apache.poi.ss.usermodel"><code>for alignment
                                        options</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setVerticalAlignment-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.VerticalAlignment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVerticalAlignment</h4>
                                <pre>public static&nbsp;void&nbsp;setVerticalAlignment(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/VerticalAlignment.html"
                                           title="enum in org.apache.poi.ss.usermodel">VerticalAlignment</a>&nbsp;align)</pre>
                                <div class="block">Take a cell, and vertically align it.

                                    This is superior to cell.getCellStyle().setVerticalAlignment(align) because
                                    this method will not modify the CellStyle object that may be referenced
                                    by multiple cells. Instead, this method will search for existing CellStyles
                                    that match the desired CellStyle, creating a new CellStyle with the desired
                                    style if no match exists.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - the cell to set the alignment for</dd>
                                    <dd><code>align</code> - the vertical alignment to use.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15 beta 3</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/VerticalAlignment.html"
                                           title="enum in org.apache.poi.ss.usermodel"><code>for alignment
                                        options</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFont-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.Font-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFont</h4>
                                <pre>public static&nbsp;void&nbsp;setFont(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                           <a href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                              title="interface in org.apache.poi.ss.usermodel">Font</a>&nbsp;font)</pre>
                                <div class="block">Take a cell, and apply a font to it</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - the cell to set the alignment for</dd>
                                    <dd><code>font</code> - The Font that you want to set.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if <tt>font</tt> and
                                        <tt>cell</tt> do not belong to the same workbook
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellStyleProperties-org.apache.poi.ss.usermodel.Cell-java.util.Map-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellStyleProperties</h4>
                                <pre>public static&nbsp;void&nbsp;setCellStyleProperties(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                          java.util.Map&lt;java.lang.String,java.lang.Object&gt;&nbsp;properties)</pre>
                                <div class="block"><p>This method attempts to find an existing CellStyle that matches
                                    the <code>cell</code>'s
                                    current style plus styles properties in <code>properties</code>. A new style is
                                    created if the
                                    workbook does not contain a matching style.</p>

                                    <p>Modifies the cell style of <code>cell</code> without affecting other cells that
                                        use the
                                        same style.</p>

                                    <p>This is necessary because Excel has an upper limit on the number of styles that
                                        it supports.</p>

                                    <p>This function is more efficient than multiple calls to
                                        <a href="../../../../../org/apache/poi/ss/util/CellUtil.html#setCellStyleProperty-org.apache.poi.ss.usermodel.Cell-java.lang.String-java.lang.Object-"><code>setCellStyleProperty(org.apache.poi.ss.usermodel.Cell,
                                            String, Object)</code></a>
                                        if adding multiple cell styles.</p>

                                    <p>For performance reasons, if this is the only cell in a workbook that uses a cell
                                        style,
                                        this method does NOT remove the old style from the workbook.
                                        <!-- NOT IMPLEMENTED: Unused styles should be
                                        pruned from the workbook with [@link #removeUnusedCellStyles(Workbook)] or
                                        [@link #removeStyleFromWorkbookIfUnused(CellStyle, Workbook)]. -->
                                    </p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - The cell to change the style of</dd>
                                    <dd><code>properties</code> - The properties to be added to a cell style, as
                                        {propertyName: propertyValue}.
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14 beta 2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellStyleProperty-org.apache.poi.ss.usermodel.Cell-java.lang.String-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellStyleProperty</h4>
                                <pre>public static&nbsp;void&nbsp;setCellStyleProperty(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                        java.lang.String&nbsp;propertyName,
                                        java.lang.Object&nbsp;propertyValue)</pre>
                                <div class="block"><p>This method attempts to find an existing CellStyle that matches
                                    the <code>cell</code>'s
                                    current style plus a single style property <code>propertyName</code> with value
                                    <code>propertyValue</code>.
                                    A new style is created if the workbook does not contain a matching style.</p>

                                    <p>Modifies the cell style of <code>cell</code> without affecting other cells that
                                        use the
                                        same style.</p>

                                    <p>If setting more than one cell style property on a cell, use
                                        <a href="../../../../../org/apache/poi/ss/util/CellUtil.html#setCellStyleProperties-org.apache.poi.ss.usermodel.Cell-java.util.Map-"><code>setCellStyleProperties(org.apache.poi.ss.usermodel.Cell,
                                            Map)</code></a>,
                                        which is faster and does not add unnecessary intermediate CellStyles to the
                                        workbook.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - The cell that is to be changed.</dd>
                                    <dd><code>propertyName</code> - The name of the property that is to be changed.</dd>
                                    <dd><code>propertyValue</code> - The value of the property that is to be changed.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="translateUnicodeValues-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>translateUnicodeValues</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                           title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;translateUnicodeValues(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block">Looks for text in the cell that should be unicode, like &alpha; and
                                    provides the
                                    unicode version of it.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - The cell to check for unicode values</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>translated to unicode</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellUtil.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/CellReference.NameType.html"
               title="enum in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/DateFormatConverter.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/CellUtil.html" target="_top">Frames</a></li>
        <li><a href="CellUtil.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
